# Watchlists

- [Add Security to Watchlist by ID](https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/add-security-to-watchlist-by-id.md): Add a security to an existing watchlist by providing the security's internal ID
- [Syntax](https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/add-security-to-watchlist-by-id/watchlists_addsecuritybyid.md)
- [Add Security to Watchlist by Ticker](https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/add-security-to-watchlist-by-ticker.md): Add a security to an existing watchlist by providing the security's ticker symbol
- [Syntax](https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/add-security-to-watchlist-by-ticker/syntax.md)
- [Create New Watchlist](https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/create-new-watchlist.md): Create a new watchlist for a particular user
- [Syntax](https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/create-new-watchlist/watchlists_createwatchlist.md)
- [Delete Watchlist](https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/delete-watchlist.md): Delete an existing watchlist
- [Syntax](https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/delete-watchlist/watchlists_deletewatchlist.md)
- [Get Specific Watchlist](https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/get-specific-watchlist.md): Fetch information about a specific watchlist
- [Syntax](https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/get-specific-watchlist/watchlists_getwatchlist.md)
- [Get User's Watchlists](https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/get-users-watchlist.md): List a user's watchlists
- [Syntax](https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/get-users-watchlist/watchlists_getuserwatchlists.md)
- [Remove Security From Watchlist by ID](https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/remove-security-from-watchlist-by-id.md): Remove a particular security from a watchlist by providing the security's internal ID
- [Syntax](https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/remove-security-from-watchlist-by-id/watchlists_removesecuritybyid.md)
- [Remove Security from Watchlist by Ticker](https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/remove-security-from-watchlist-by-ticker.md): Remove a particular security from a watchlist by providing the security's ticker symbol
- [Syntax](https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/remove-security-from-watchlist-by-ticker/watchlists_removesecurity.md)
- [Rename Watchlist](https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/rename-watchlist.md): Rename an existing watchlist
- [Syntax](https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/rename-watchlist/watchlists_editwatchlistname.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
